/**
 * SeqUtils tests.
 *
 * @author Chris van Marle
 * @copyright Copyright 2017
 * @license Apache-2.0
 */
import TestRegister from "../../TestRegister.js";

TestRegister.addTests([
    {
        name: "SeqUtils - Numeric sort photos",
        input: "Photo-1.jpg\nPhoto-4.jpg\nPhoto-2.jpg\nPhoto-3.jpg\n",
        expectedOutput: "Photo-1.jpg\nPhoto-2.jpg\nPhoto-3.jpg\nPhoto-4.jpg\n",
        recipeConfig: [
            {
                "op": "Sort",
                "args": ["Line feed", false, "Numeric"]
            }
        ],
    },
    {
        name: "SeqUtils - Numeric sort CVE IDs",
        input: "CVE-2017-1234,CVE-2017-9999,CVE-2017-10000,CVE-2017-10001,CVE-2017-12345,CVE-2016-1234,CVE-2016-4321,CVE-2016-10000,CVE-2016-9999,CVE-2016-10001",
        expectedOutput: "CVE-2017-12345,CVE-2017-10001,CVE-2017-10000,CVE-2017-9999,CVE-2017-1234,CVE-2016-10001,CVE-2016-10000,CVE-2016-9999,CVE-2016-4321,CVE-2016-1234",
        recipeConfig: [
            {
                "op": "Sort",
                "args": ["Comma", true, "Numeric"]
            }
        ],
    },
]);
